Package org.kie.internal.conf

# Class CompositeKeyDepthOption

java.lang.Object
org.kie.internal.conf.CompositeKeyDepthOption

All Implemented Interfaces:
  `Serializable`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`, `SingleValueRuleBaseOption`

public class CompositeKeyDepthOption extends Object implements SingleValueRuleBaseOption
A class for the composite key depth configuration.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<CompositeKeyDepthOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the default DIALECT

  ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static CompositeKeyDepthOption`
  `get(int depth)`
  This is a factory method for this CompositeKeyDepth configuration.
  `int`
  `getDepth()`
  Returns the depth value for composite key indexing
  `String`
  `getPropertyName()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `type`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the default DIALECT
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<CompositeKeyDepthOption> KEY

- ## Method Details

  - ### get

    public static CompositeKeyDepthOption get(int depth)
    This is a factory method for this CompositeKeyDepth configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `depth` - the composite key depth value
    Returns:
      the actual type safe CompositeKeyDepth configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### getDepth

    public int getDepth()
    Returns the depth value for composite key indexing
    Returns:

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`